<?xml version="1.0"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/">
    <html>
      <head>
         <title>Ant Build Targets</title>
      </head>
      <xsl:apply-templates select="project"/>
    </html>
  </xsl:template>
  
  <xsl:template match="property">
      <p><b>Property: </b><xsl:value-of select="@name" /><xsl:text> </xsl:text>
      <b>Value: </b><xsl:value-of select="@value" /></p>
  </xsl:template>
  
  <xsl:template match="project">
      <body bgcolor="white">
          <H1 align="center">Properties</H1>
          <xsl:apply-templates select="property">
              <xsl:sort select="@name"/>
          </xsl:apply-templates>
          <table border="1" align="center">
              <tr>
                  <th colspan="2">Ant Build Targets</th>
              </tr>
              <tr>
                  <th>Name</th>
                  <th>Depends</th>
              </tr>
              <!--<xsl:apply-templates select="target" />-->
              <xsl:apply-templates select="target">
                  <xsl:sort select="@name"/>
              </xsl:apply-templates>
          </table>
      </body>
  </xsl:template>

  <xsl:template match="property">
      <p align="center">
      <b>Property: </b><xsl:value-of select="@name" /><xsl:text> </xsl:text>
      <b>Value: </b><xsl:value-of select="@value" />
      </p>
  </xsl:template>

  <xsl:template match="target">
      <tr>
          <td>
              <b><xsl:value-of select="@name"/></b>
              <xsl:text> </xsl:text>(<xsl:apply-templates />)
          </td>
          <td>
              <xsl:value-of select="@depends"/>
          </td>
      </tr>
  </xsl:template>

  <xsl:template match="mkdir">
     <i>mkdir: </i> [<b><xsl:value-of select="@dir"/></b>]
  </xsl:template>

  <xsl:template match="delete">
     <i>delete: </i> [<b><xsl:value-of select="@dir" /></b>]
  </xsl:template>

  <xsl:template match="instrument">
     <i>instrument</i> [<b><xsl:value-of select="fileset/include/@name"/></b>]
  </xsl:template>

  <xsl:template match="jar">
     <i>jar</i>
  </xsl:template>

  <xsl:template match="javac">
     <i>javac</i>
  </xsl:template>

  <xsl:template match="report">
     <i>report</i>
  </xsl:template>

  <xsl:template match="tstamp">
     <i>tstamp</i>
  </xsl:template>

</xsl:stylesheet>
